Summary: The ping and inetd networking programs.
Name: netkit-base
Version: 0.17
Release: C4
Copyright: BSD
Group: System Environment/Daemons
Source0: ftp://ftp.uk.linux.org/pub/linux/Networking/netkit/netkit-base-%{version}.tar.gz
Source1: inetd.conf.default
Source3: inetd.conf.5
Patch0: netkit-base-closefds.patch
Provides: inetd
Prereq: /sbin/chkconfig
Requires: tcp_wrappers
BuildRoot: /var/tmp/%{name}-root

%description
The netkit-base package contains the basic networking tools ping and
inetd.  The ping command sends a series of ICMP protocol ECHO_REQUEST
packets to a specified network host and can tell you if that machine
is alive and receiving network traffic.  Inetd listens on certain
Internet sockets for connection requests, decides what program should
receive each request, and starts up that program.

The netkit-base package should be installed on any machine that is on
a network.

%prep
%setup -q -n netkit-base-%{version}

%patch0 -p0 -b .closefds

%build
./configure --installroot=$RPM_BUILD_ROOT
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/bin
mkdir -p $RPM_BUILD_ROOT/usr/man/man8
mkdir -p $RPM_BUILD_ROOT/usr/sbin
make INSTALLROOT=$RPM_BUILD_ROOT install

mkdir -p $RPM_BUILD_ROOT/usr/man/man5
install -m 644 $RPM_SOURCE_DIR/inetd.conf.5 $RPM_BUILD_ROOT/usr/man/man5

mkdir -p $RPM_BUILD_ROOT/etc
install -m 644 $RPM_SOURCE_DIR/inetd.conf.default $RPM_BUILD_ROOT/etc/inetd.conf

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
#%attr(4755,root,root)	/bin/ping
%attr(0644,root,root)	%config(noreplace) /etc/inetd.conf
/usr/man/man5/inetd.conf.5*
/usr/man/man8/inetd.8*
#/usr/man/man8/ping.8*
/usr/sbin/inetd

%changelog
* Wed Mar 06 2002 Patrick Baltz <patrick.baltz@sun.com>
- pr 14064.  inetd needs to close all file descriptors to make
  sure it doesn't inherit anything from a parent that may cause problems.

* Wed Jan 30 2002 Jeff Lovell <jeffrey.lovell@sun.com>
- remove ping from netkit-base (use iputils package instead) #13291
- fix identd arguments to support tcp-wrappers #13590

* Tue Apr 24 2001 Patrick Baltz <patrick.baltz@sun.com>
- update inetd.conf to allow higher connection rates

* Mon Mar 26 2001 Patrick Baltz <patrick.baltz@sun.com>
- update to 0.17, remove patches no longer needed

* Mon Mar 05 2001 Philip Martin <philip.martin@sun.com>
- bump up the imap connection limit to 1024.  stupid webmail
- eats IMAP connections like there's no tomorrow.  This
- should keep it happy.

* Tue Nov 28 2000 Philip Martin <pmartin@cobalt.com>
- up connection limit for pop3 & imap to 80

* Fri Jun 30 2000 Tim Hockin <thockin@cobalt.com>
- turn off pop2

* Fri Sep 24 1999 Duncan Laurie <duncan@cobaltnet.com>
- remove initscript from this rpm

* Wed Apr  7 1999 Jeff Johnson <jbj@redhat.com>
- fix inetd fd leak (#695)

* Wed Mar 31 1999 Jeff Johnson <jbj@redhat.com>
- ping flood can send faster than it can receive -- staunch the flow. (#213)

* Tue Mar 30 1999 Bill Nottingham <notting@redhat.com>
- turn off imap/pop by default
- add a buffer overflow patch

* Fri Mar 26 1999 Jeff Johnson <jbj@redhat.com>
- make inetd.conf %config(noreplace).
- fix time service config (#1725).

* Fri Mar 26 1999 Preston Brown <pbrown@redhat.com>
- comsat service added (commented out)

* Tue Mar 23 1999 Preston Brown <pbrown@redhat.com>
- man page added

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 23)

* Mon Mar 15 1999 Jeff Johnson <jbj@redhat.com>
- compile for 6.0.

* Wed Jun 17 1998 Jeff Johnson <jbj@redhat.com>
- man page correction (problem #727)
- add build root.

* Fri Jun 05 1998 Prospector System <bugs@redhat.com>
- translations modified for de

* Thu Jun 04 1998 Mike Wangsmo <wanger@redhat.com>
- made /etc/inetd.conf a %config file.  This is a D'oh!

* Mon May 04 1998 Michael K. Johnson <johnsonm@redhat.com>
- fixed iniscript enhancement

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Apr 23 1998 Michael K. Johnson
- enhanced initscript

* Wed Oct 29 1997 Donnie Barnes <djb@redhat.com>
- added %config(missingok) to init symlinks

* Sun Oct 19 1997 Erik Troan <ewt@redhat.com>
- turned off in runlevel 2
- added status, restart options to init script

* Mon Oct 13 1997 Erik Troan <ewt@redhat.com>
- added chkconfig support

* Wed Aug 27 1997 Erik Troan <ewt@redhat.com>
- fixed init.d symlinks
- fixed permissions on /etc/rc.d/inet
